#reset-visualization-btn {
  width: 100%;
  border: solid 1px var(--theme-color);
  color: var(--theme-color);
  background-color: white;
  border-radius: 8px;
  text-align: center;
  margin-bottom: 10px;
  font-weight: bold;
}

#reset-visualization-btn:hover {
  color: white;
  background-color: var(--theme-color);
  cursor: pointer;
}

#title-section {
  display: flex;
  width: 100%;
  align-items: center;
  gap: 8px;
  margin-bottom: 8px;
}

#sv-title {
  font-weight: bold;
  font-size: large;
}

#beta-tooltip {
  position: relative;
  display: inline-block;
    z-index: 5001;
}

#beta-hover {
  font-weight: normal;
  font-size: small;
  color: white;
  background-color: var(--theme-color);
  padding-left: 4px;
  padding-right: 4px;
  border-radius: 999px;
  cursor: help;
}

#beta-tooltip-text {
  visibility: hidden;
  opacity: 0;
  position: fixed;
  width: 200px;
  padding: 8px;
  border: 2px solid var(--theme-color);
  background-color: white;
  font-size: small;
  font-weight: light;
  transition: opacity 0.2s;
  z-index: 9999;
}

#beta-tooltip:hover #beta-tooltip-text {
  visibility: visible;
  opacity: 1;
}

#title-section > span:last-child{
  margin-left: auto;
}

#lang-toggle {
  border: 1px solid var(--theme-color);
  border-radius: 8px;
  color: var(--theme-color);
  font-weight: bold;
}

#lang-toggle:hover {
  background-color: var(--theme-color);
  color: white;
}

label {
  display: block;
  font-size: small;
  font-weight: 700;
  margin-bottom: 2px;
  color: #444;
}

#lateral-bar select {
  border: none;
  border-bottom: 2px solid var(--theme-color);
  padding: 4px;
}

#asset-select,
#collection-select,
#item-select,
#item-select-right {
  width: 100%;
  font-size: small;

  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;

  margin-bottom: 5px;
}

.spinner {
  display: none;

  width: 12px;
  height: 12px;

  border: 2px solid #ddd;
  border-top-color: #555;
  border-radius: 50%;

  animation: spin 0.6s linear infinite;

  vertical-align: middle;
  margin-left: 4px;
}

#item-count,
#item-count-right {
  display: none;

  font-size: x-small;
  color: #888;

  margin-left: 4px;
  font-weight: 400;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

#filter-section,
#comparator-section, 
#selection-section,
#catalogs-section {
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 10px;
  padding-top: 2px;
  margin-bottom: 10px;
}

.catalog-toggle{
  width: fit-content;
  flex-basis: 100%;
  background: white;
  margin-right: 0.2em;;
  color: var(--theme-color);
  border: 1px solid var(--theme-color);
  border-radius: 6px;
  padding: 0.45em 0.7em;
  font-family: Marianne, Arial, sans-serif;
  font-size: 0.6em;
  font-weight: 600;
  cursor: pointer;
  transition:
    background 0.15s ease,
    border-color 0.15s ease,
    transform 0.1s ease;
}

.catalog-toggle.active {
  background: var(--theme-color);
  color: white;
}

#filter-section {
  margin-bottom: 10px;
}

.filter-actions {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  margin-top: 10px;
  gap: 10px;
}

/* Calendriers */
.date-grid {
  display: flex;
  gap: 10px;
  margin-top: 10px;
  margin-bottom: 5px;
  min-width: 0;
}

.date-grid > div {
  flex: 1;
  display: flex;
  flex-direction: column;
  min-width: 0;
}

.date-grid input {
  width: 100%;
  box-sizing: border-box;
  border: none;
  border-bottom: 2px solid var(--theme-color);
  font-size: small;
  min-width: 0;
}

/* Label du filtre spatial */
#filter-section summary {
  cursor: pointer;
  padding: 4px;
}

/* Bouton de dessin */

#reset-filters-btn,
#apply-filters-btn {
  flex: 1;
}

#draw-extent-btn {
  width: fit-content;
  flex-basis: 100%;
  background: white;
  color: var(--theme-color);
  border: 1px solid var(--theme-color);
  border-radius: 6px;
  padding: 0.45em 0.7em;
  font-family: Marianne, Arial, sans-serif;
  font-size: 0.85em;
  font-weight: 600;
  cursor: pointer;
  transition:
    background 0.15s ease,
    border-color 0.15s ease,
    transform 0.1s ease;
}

#draw-extent-btn.active {
  background: var(--theme-color);
  color: white;
}

.bbox-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 8px 10px;
  margin-top: 10px;
}

/* placement boussole */
.north {
  grid-column: 2;
  text-align: center;
}

.south {
  grid-column: 2;
  text-align: center;
}

.west {
  grid-column: 1;
}

.east {
  grid-column: 3;
}

/* structure interne identique partout */
.bbox-grid > div {
  display: flex;
  flex-direction: column;
}

.bbox-grid input {
  width: 100%;
  box-sizing: border-box;
  border: none;
  border-bottom: solid 2px var(--theme-color);
}

/* alignement labels */
.north label,
.south label {
  text-align: center;
}

.west label {
  text-align: left;
}

.east label {
  text-align: right;
}
